<html>
<head>
<title>OGRE: Ogre::SceneQueryResult Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1SceneQueryResult.html">SceneQueryResult</a></div>
<h1>Ogre::SceneQueryResult Struct Reference</h1><!-- doxytag: class="Ogre::SceneQueryResult" -->Holds the results of a scene query.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1SceneQueryResult-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#eb1862543a1dcd5fc29dc4e549a71f15">SceneQueryResultMovableList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQueryResult.html#2224618a99dc451317e56082697b1ffa">movables</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of movable objects in the query (entities, particle systems etc).  <a href="#2224618a99dc451317e56082697b1ffa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#92a09e47bee5654fe8587a739dde5b80">SceneQueryResultWorldFragmentList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQueryResult.html#8157783aec3ca4d9566a9a6bfe08fee0">worldFragments</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List of world fragments.  <a href="#8157783aec3ca4d9566a9a6bfe08fee0"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Holds the results of a scene query. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00203">203</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="2224618a99dc451317e56082697b1ffa"></a><!-- doxytag: member="Ogre::SceneQueryResult::movables" ref="2224618a99dc451317e56082697b1ffa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#eb1862543a1dcd5fc29dc4e549a71f15">SceneQueryResultMovableList</a> <a class="el" href="structOgre_1_1SceneQueryResult.html#2224618a99dc451317e56082697b1ffa">Ogre::SceneQueryResult::movables</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List of movable objects in the query (entities, particle systems etc). 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00206">206</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8157783aec3ca4d9566a9a6bfe08fee0"></a><!-- doxytag: member="Ogre::SceneQueryResult::worldFragments" ref="8157783aec3ca4d9566a9a6bfe08fee0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#92a09e47bee5654fe8587a739dde5b80">SceneQueryResultWorldFragmentList</a> <a class="el" href="structOgre_1_1SceneQueryResult.html#8157783aec3ca4d9566a9a6bfe08fee0">Ogre::SceneQueryResult::worldFragments</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
List of world fragments. 
<p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h-source.html#l00208">208</a> of file <a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h-source.html">OgreSceneQuery.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:25 2008
</p>
</body>
</html>
